petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSNESGetObjective

get SNES objective evaluation function

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESGetObjective(DM dm,PetscErrorCode (**obj)(SNES,Vec,PetscReal*,void*),void **ctx)

Not Collective Many br

### Input Argument

dm -DM to be used with SNES Many br

### Output Arguments

| obj | - residual evaluation function; see SNESObjectiveFunction for details Many br
| ctx | - context for residual evaluation Many br

Many br

### Note

SNESGetFunction() is normally used, but it calls this function internally because the user context is actually Many brassociated with the DM. Many br

### See Also

DMSNESSetContext(), DMSNESSetObjective(), SNESSetFunction()

Level:advanced
Location:src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages